Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  bezug auf zentrum (lisp)

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   bezug auf zentrum (lisp) (831 mal gelesen)
chris888
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von chris888 an!   Senden Sie eine Private Message an chris888  Schreiben Sie einen Gästebucheintrag für chris888

Beiträge: 141
Registriert: 11.11.2010

AutoCAD 2002, 2005, 2008, 09, 10, 11
Windows 7, 4GB, 640GB

erstellt am: 25. Feb. 2011 09:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

guten morgen!!!

ich wollte fragen ob jemand so nett wäre mir eine formel zu sagen die sich auf den mittelpunkt (zentrum) eines kreises zurückbezieht...

sinn der sache ich will meinen varia befehl so umschreiben das ich nicht immer den basispunkt angeben muss sondern er das zentrum des gewählten kreises annimmt. der faktor ist bereits eingestellt.

meine formel:

(defun c:vv()(command "_scale" (ssget) "" (getpoint) "0.887412587"))

mfg

chris

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 25. Feb. 2011 09:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für chris888 10 Unities + Antwort hilfreich

so .... Wir haben auch ein Lispbrett !!
Stelle entsprechende Fragen doch bitte der Übersicht halber dort!
(Auch wenn die entsprechenden Leute in beiden Brettern mitlesen)

Zu deiner Frage:
..der Mittelpunkt eines Kreises ist im GC10 gespeichert
(princ(cdr(assoc 10(entget(car(entsel "\nKreis wählen:"))))))

------------------
       - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 bis ACA 2013
Arcibem
System:
Windows
Internet-Startseite:
http://www.archi.de

erstellt am: 25. Feb. 2011 10:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für chris888 10 Unities + Antwort hilfreich

Hallo Chris,
Zusammengefasst dann etwa so:
Code:
(defun c:vv()
  (if
    (setq scale_circle (car (entsel "\nKreis wählen:")))
    (command "_scale"
            scale_circle
            ""
            (cdr (assoc 10 (entget scale_circle)))
            "0.887412587"
    )
  )
)
Grüsse, Henning

------------------
Henning Jesse
VoxelManufaktur
Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Junior Elektrotechniker (m/w/d) Mobility
Wir bei FERCHAU verstehen uns als einer der führenden Anbieter für erstklassige Technologie-Dienstleistungen, denn wir stehen für Expertise und Innovation - auch im Automotive-Sektor. Unsere Spezialisten arbeiten für namhafte Automobilhersteller und Zulieferer. Sie sind Mobilitätsspezialist und möchten eine der spannendsten Branchen durch Ihre Ideen voranbringen? Gestalten Sie mit uns die Zukunft.
Anzeige ansehenElektrotechnik, Elektronik
chris888
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von chris888 an!   Senden Sie eine Private Message an chris888  Schreiben Sie einen Gästebucheintrag für chris888

Beiträge: 141
Registriert: 11.11.2010

AutoCAD 2002, 2005, 2008, 09, 10, 11
Windows 7, 4GB, 640GB

erstellt am: 25. Feb. 2011 10:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

danke henning

gibt ja doch noch nette leute hier *freu*

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz